summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2022-04-21 12:51:20 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2022-05-07 10:45:44 +0200
commite5aa5c04ecbd3cdab611794cebf9eb3aa8cbddd4 (patch)
treed24da5532117b5d61f47e1b9d319100a6b0ac0ef /test
parentcacf80aea3f1511aa1d8436fd4fd49d916390d10 (diff)
Ignore stty failures in testcases
We use 'stty sane' to combat against stepped output and co caused by (especially) failed tests, but it does so many things that it occasionally fails to reset some bits in the parallel interaction we have with it which fails the tests without a real problem in apt… Ideally we would be better at stitching the output together, but for the time being lets ignore these failures instead to stabilize the tests.
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/run-tests4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index f5a39f244..c1cc780f0 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -80,9 +80,9 @@ if [ -n "$TESTTORUN" ]; then
fi
} >"$OUTPUT" 2>&1
# without we end up getting stepped output 'randomly'
- stty sane
+ stty sane || true
cat >&2 "$OUTPUT"
- stty sane
+ stty sane || true
if [ "$FAIL" = 'yes' ]; then
exit 1
else